Перейти к содержимому
ecdsa.com

Ключ OpenPGP v6

Формат ключей, введённый в RFC 9580, с 32-байтными отпечатками SHA-256, встроенными алгоритмами Ed25519/X25519/Ed448/X448 и подписями v6 с солью; он заменяет ключи v4 из RFC 4880, основанные на SHA-1.
Другие написанияv6 keyRFC 9580 keyv6 fingerprintOpenPGP crypto refresh

Отпечаток v6 — это SHA-256 от пакета ключа с префиксом v6 (64 шестнадцатеричные цифры), а идентификатор ключа — его первые 64 бита; отпечаток v4 — это SHA-1 (40 шестнадцатеричных цифр), а идентификатор ключа берётся из последних 64 бит (RFC 9580, § 5.5.4). Подписи v6 содержат случайную соль, которая хешируется перед данными, поэтому атаки на подписываемый хеш, основанные на коллизиях с выбранным префиксом, становятся практически неосуществимыми. Идентификаторы алгоритмов с открытым ключом 25–28 соответствуют X25519, X448, Ed25519 и Ed448; RFC 9980 добавляет идентификаторы 30–36 для постквантовых алгоритмов, и большинству из них нужны ключи v6.

Среди реализаций с поддержкой v6 — Sequoia PGP и OpenPGP.js; GnuPG же для своих новейших форматов создаёт ключи LibrePGP v5, а серверы ключей и старые инструменты могут отклонять ключи незнакомой им версии. Пока экосистема не догнала стандарт, осторожный путь — публиковать ключ v6 вместе с ключом v4.

Стандарты и ссылки

Все термины